## org.hibernate.event
Class FlushEntityEvent

    java.lang.Object
      org.hibernate.event.AbstractEvent
          org.hibernate.event.FlushEntityEvent

All Implemented Interfaces:
  Serializable

    public class FlushEntityEvent

extends AbstractEvent

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`FlushEntityEvent(EventSource source, Object entity, EntityEntry entry)`

Method Summary
`Object[]` `getDatabaseSnapshot()`
`int[]` `getDirtyProperties()`
`Object` `getEntity()`
`EntityEntry` `getEntityEntry()`
`Object[]` `getPropertyValues()`
`boolean` `hasDatabaseSnapshot()`
`boolean` `hasDirtyCollection()`
`boolean` `isDirtyCheckHandledByInterceptor()`
`boolean` `isDirtyCheckPossible()`
`void` `setDatabaseSnapshot(Object[] databaseSnapshot)`
`void` `setDirtyCheckHandledByInterceptor(boolean dirtyCheckHandledByInterceptor)`
`void` `setDirtyCheckPossible(boolean dirtyCheckPossible)`
`void` `setDirtyProperties(int[] dirtyProperties)`
`void` `setHasDirtyCollection(boolean hasDirtyCollection)`
`void` `setPropertyValues(Object[] propertyValues)`

Methods inherited from class org.hibernate.event.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlushEntityEvent

    public FlushEntityEvent(EventSource source,
                            Object entity,
                            EntityEntry entry)

Method Detail

### getEntityEntry

    public EntityEntry getEntityEntry()

### getDatabaseSnapshot

    public Object[] getDatabaseSnapshot()

### setDatabaseSnapshot

    public void setDatabaseSnapshot(Object[] databaseSnapshot)

### hasDatabaseSnapshot

    public boolean hasDatabaseSnapshot()

### isDirtyCheckHandledByInterceptor

    public boolean isDirtyCheckHandledByInterceptor()

### setDirtyCheckHandledByInterceptor

    public void setDirtyCheckHandledByInterceptor(boolean dirtyCheckHandledByInterceptor)

### isDirtyCheckPossible

    public boolean isDirtyCheckPossible()

### setDirtyCheckPossible

    public void setDirtyCheckPossible(boolean dirtyCheckPossible)

### getDirtyProperties

    public int[] getDirtyProperties()

### setDirtyProperties

    public void setDirtyProperties(int[] dirtyProperties)

### hasDirtyCollection

    public boolean hasDirtyCollection()

### setHasDirtyCollection

    public void setHasDirtyCollection(boolean hasDirtyCollection)

### getPropertyValues

    public Object[] getPropertyValues()

### setPropertyValues

    public void setPropertyValues(Object[] propertyValues)

### getEntity

    public Object getEntity()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.